﻿using System;
using System.Collections.Generic;
using System.Text;
using System.IO.Ports;
using RGBController2.Boards;
using System.ComponentModel;
using RGBController2.ViewModels.LightingModes;

namespace RGBController2.ViewModels.Tabs
{
    /// <summary>
    /// The view model for an ChromaDeviceTabViewModel.
    /// </summary>
    public class ChromaDeviceTab : Tab, INotifyPropertyChanged
    {

        /// <summary>
        /// Construcats a ChromaDeviecTabViewModel.
        /// </summary>
        /// <param name="name">the name of the tab</param>
        public ChromaDeviceTab(string name)
        {
            TabType = tabType.Chroma;
            Name = name;
            ConnectionStatus = "Device Disconnected";

            // Create the device object
            _device = new ChromaDeviceBoard();

            // Get a list of the available cue devices
            //_availableDevices = ((CUEDeviceBoard)_device).AvailableDevices;

            // This is a temporary viewmodel that is used before the user has connected to a device
            SelectedLightingMode = new InformationViewModel();
            OnPropertyChanged(nameof(SelectedLightingMode));

            // REMOVE ME - when fully impliment device selection
            EnableSelectLightingMode = true;
            OnPropertyChanged(nameof(EnableSelectLightingMode));

        }

    }
}
